- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Interfaces::SystemTimeService Class Reference

`#include <SystemTimeService.h>`

Inheritance diagram for Mers::Interfaces::SystemTimeService:

[legend]
Collaboration diagram for Mers::Interfaces::SystemTimeService:

[legend]
List of all members.

## Public Member Functions
| SystemTimeService ()
virtual | ~SystemTimeService ()
virtual double | time ()

## Detailed Description

This class represents an implementation of a time service class which uses the system time to compute the current time.

Author:
  Paul H. Elliott

Definition at line 26 of file SystemTimeService.h.

## Constructor & Destructor Documentation

Mers::Interfaces::SystemTimeService::SystemTimeService | ( |  | ) | `[inline]`

Creates a new SystemTimeService object.

This object is reference based, and so will delete itself when all of its references have been removed. Thus, the creating application should add at least one reference before requesting the current time. The reference count starts at zero.

Definition at line 38 of file SystemTimeService.h.

virtual Mers::Interfaces::SystemTimeService::~SystemTimeService | ( |  | ) | `[inline, virtual]`

Destroys this object. Note that this function presumes that mReferences is 0, and so all objects that refer to this time service have already been de-referenced and deleted.

Definition at line 45 of file SystemTimeService.h.

## Member Function Documentation

double SystemTimeService::time | ( |  | ) | `[virtual]`

Returns the current number of seconds that have elapsed since Epoch - (00:00:00 UTC, January 1, 1970).

Returns:
  The number of seconds that have elapsed since Epoch.

Implements Mers::Interfaces::TimeService.

Definition at line 30 of file SystemTimeService.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Interfaces/SystemTimeService.h
- /Users/fpy/titan-1-5-MBARI/Mers/Interfaces/SystemTimeService.cpp